# -*- coding: iso-8859-15 -*-
# $Id: Install.py 40746 2007-04-17 10:14:33Z kilobug $
## Install.py - Plone QuickInstaller method for product

#from Products.CMFCore.utils import getToolByName, SimpleItemWithProperties

from Products.Mailnode.config import PROJECTNAME, product_globals
from Products.Mailnode.Mailnode import Mailnode
from Products.CMFCore.utils import getToolByName

from StringIO import StringIO

def install_tool(self, out, product_globals):
    """ Setup a tool in the Plone site."""

    # Add the tool if it does not already exist.
    bt = getToolByName(self, Mailnode.id, None)
    if bt is None:
        print >> out, "* Installing %s as %s\n" % (Mailnode.meta_type, Mailnode.id)
        portal = getToolByName(self, 'portal_url').getPortalObject()
        bt = Mailnode()
        portal._setObject(Mailnode.id, bt)

        # Restrict access to the tool to the Manager only.
        bt = getToolByName(self, Mailnode.id)
        bt.manage_permission('View', ['Manager'])


def install(self):
    out = StringIO()
    install_tool(self, out, product_globals)

    print >> out, ' done.\n'

    return out.getvalue()

def uninstall(self):
    out = StringIO()

    print >> out, ' done.\n'

    return out.getvalue()
